
D4Science Infrastructure - Incident #8882

social networking service: messages methods do not work after 4.5 upgrade

Jun 08, 2017 06:34 PM - Costantino Perciante

Status: Closed Start date: Jun 08, 2017

Priority: Urgent Due date:  

Assignee: Costantino Perciante % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

log reports

18:18:11.665 [catalina-exec-3] INFO  RequestAccounting: REQUEST START ON SocialNetworking:Portal(/

rest/2/messages/write-message) CALLED FROM costantino.perciante@93.32.73.143 IN SCOPE /d4science.r

esearch-infrastructures.eu 

18:18:12.181 [catalina-exec-3] ERROR JCRRepository: Error retrieving Root Node null

18:18:12.182 [catalina-exec-3] ERROR Messages: Unable to send message.

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.

home.exceptions.InternalErrorException: org.gcube.common.homelibrary.model.exceptions.RepositoryEx

ception

    at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:118) ~[home-lib

rary-jcr-2.9.0-4.5.0-148864.jar:na]

    at org.gcube.common.homelibrary.home.HomeLibrary.getUserHome(HomeLibrary.java:204) ~[home-libr

ary-2.8.0-4.5.0-146737.jar:na]

    at org.gcube.common.homelibrary.home.HomeLibrary.getUserWorkspace(HomeLibrary.java:143) ~[home

-library-2.8.0-4.5.0-146737.jar:na]

    at org.gcube.portal.social.networking.ws.methods.v2.Messages.writeMessage(Messages.java:134) ~

[Messages.class:na]

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[na:1.8.0_131]

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[na:1.8.0_13

1]

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[na:

1.8.0_131]

    at java.lang.reflect.Method.invoke(Method.java:498) ~[na:1.8.0_131]

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(

ResourceMethodInvocationHandlerFactory.java:81) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(Abstr

actJavaResourceMethodDispatcher.java:144) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(Abst

ractJavaResourceMethodDispatcher.java:161) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$ResponseOut

Invoker.doDispatch(JavaResourceMethodDispatcherProvider.java:160) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(Ab

stractJavaResourceMethodDispatcher.java:99) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:3

89) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:34

7) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:10

2) [jersey-server-2.22.1.jar:na]

    at org.glassfish.jersey.server.ServerRuntime$2.run(ServerRuntime.java:326) [jersey-server-2.22

.1.jar:na]

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271) [jersey-common-2.22.1.jar:na]

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267) [jersey-common-2.22.1.jar:na]

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315) [jersey-common-2.22.1.jar:na]

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297) [jersey-common-2.22.1.jar:na]

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267) [jersey-common-2.22.1.jar:na]

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:317) [jerse

y-common-2.22.1.jar:na]

    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:305) [jersey-server-2.

22.1.jar:na]
    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1154) [jersey

-server-2.22.1.jar:na]

    at org.glassfish.jersey.servlet.WebComponent.serviceImpl(WebComponent.java:471) [jersey-contai

ner-servlet-core-2.22.1.jar:na]

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:425) [jersey-container-

servlet-core-2.22.1.jar:na]

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:383) [jersey-co

ntainer-servlet-core-2.22.1.jar:na]

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:336) [jersey-co

ntainer-servlet-core-2.22.1.jar:na]

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:223) [jersey-co

ntainer-servlet-core-2.22.1.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303) [tomcat-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

tomcat-catalina-7.0.52.jar:7.0.52]

    at org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:95) [common-smart

gears-2.1.1-SNAPSHOT.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241) [tomcat-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

tomcat-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220) [tomcat

-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122) [tomcat

-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501) [tom

cat-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170) [tomcat-catal

ina-7.0.52.jar:7.0.52]

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98) [tomcat-catali

na-7.0.52.jar:7.0.52]

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950) [tomcat-catalina-

7.0.52.jar:7.0.52]

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683) [tomcat-catalina-7.

0.52.jar:7.0.52]

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116) [tomcat-c

atalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408) [tomcat-catalin

a-7.0.52.jar:7.0.52]

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

 [tomcat-coyote-7.0.52.jar:7.0.52]

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

607) [tomcat-coyote-7.0.52.jar:7.0.52]

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313) [tomcat-co

yote-7.0.52.jar:7.0.52]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [na:1.8.0_1

31]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [na:1.8.0_1

31]

    at java.lang.Thread.run(Thread.java:748) [na:1.8.0_131]

Caused by: org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.h

omelibrary.model.exceptions.RepositoryException

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.<init>(JCRRepository.java:82) ~[h

ome-library-jcr-2.9.0-4.5.0-148864.jar:na]

    at org.gcube.common.homelibrary.jcr.home.JCRHome.<init>(JCRHome.java:38) ~[home-library-jcr-2.

9.0-4.5.0-148864.jar:na]

    at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:116) ~[home-lib

rary-jcr-2.9.0-4.5.0-148864.jar:na]

    ... 49 common frames omitted

Caused by: org.gcube.common.homelibrary.model.exceptions.RepositoryException: null

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.init(JCRRepository.java:352) ~[ho

me-library-jcr-2.9.0-4.5.0-148864.jar:na]

    at org.gcube.common.homelibrary.jcr.repository.JCRRepository.<init>(JCRRepository.java:80) ~[h

ome-library-jcr-2.9.0-4.5.0-148864.jar:na]

    ... 51 common frames omitted

18:18:12.183 [catalina-exec-3] INFO  RequestAccounting: REQUEST SERVED ON SocialNetworking:Portal(
/rest/2/messages/write-message) CALLED FROM costantino.perciante@93.32.73.143 IN SCOPE /d4science.

research-infrastructures.eu FINISHED IN 518 millis

18:19:01.606 [catalina-exec-1] INFO  RequestValidator: accessing  validator with token fea75a5a-d8

4c-495f-b

History

#1 - Jun 08, 2017 06:49 PM - Massimiliano Assante

- Assignee changed from Costantino Perciante to Valentina Marioli

Also, it seems that Messages cannot be send from the Messages portlet, it looks like more a HL or JackRabbit repo issue

#2 - Jun 08, 2017 07:23 PM - Massimiliano Assante

- Assignee changed from Valentina Marioli to Costantino Perciante

Messages is now working fine, not sure what was before but we didn't touch anything 

#3 - Jun 08, 2017 07:44 PM - Costantino Perciante

I've download the latest available build from etics 

http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-5-0/BUILD_35/dist/org.gcube/org.gcube.portal.social-netw

orking-library-ws/2.0.1/sl5_x86_64_gcc412/org.gcube.portal.social-networking-library-ws-2.0.1-SNAPSHOT.tar.gz and put it in

social-networking-d-d4s, it works without problems

#4 - Jun 09, 2017 10:34 AM - Costantino Perciante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Problem solved. A wrong version was deployed in prod
